Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231694 - CVE-2007-1667 XGetPixel() integer overflow
Summary: CVE-2007-1667 XGetPixel() integer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libX11
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard: impact=moderate,source=debian,public=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 00:58 UTC by Josh Bressers
Modified: 2014-06-18 09:09 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0157
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 15:42:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
First patch attached to the Debian bug (deleted)
2007-03-12 23:33 UTC, Matěj Cepl
no flags Details | Diff
The second patch attached to the Debian bug (deleted)
2007-03-12 23:34 UTC, Matěj Cepl
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0157 normal SHIPPED_LIVE Moderate: xorg-x11-apps and libX11 security update 2007-04-16 15:42:07 UTC

Description Josh Bressers 2007-03-10 00:58:49 UTC
+++ This bug was initially created as a clone of Bug #231693 +++

A bug recently showed up in the Debian BTS that describes an integer overflow in
X's XGetPixel() function

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=414045

The report incorrectly states it is a buffer overflow.  The bug also has a
proposed patch and reproducer for this flaw.

The issue is that the XInitImage() function allows the caller to supply silly
values, which can cause several integer overflow.  A call to XGetPixel() can
also result in integer overflows.  While one would expect the calling
application to sanitize the data passed to XInitImage(), the library should also
be smart enough to prevent the caller from giving it bad data.

Comment 1 Matěj Cepl 2007-03-12 23:33:06 UTC
Created attachment 149881 [details]
First patch attached to the Debian bug

Comment 2 Matěj Cepl 2007-03-12 23:34:29 UTC
Created attachment 149882 [details]
The second patch attached to the Debian bug

Comment 6 Red Hat Bugzilla 2007-04-16 15:42:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0157.html



Note You need to log in before you can comment on or make changes to this bug.